package com.cpm.lorealbaautomation.gsonGetterSetter;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

public class MasterPromotionSetProductGroup {

    @SerializedName("ProductGroupId")
    @Expose
    private Integer productGroupId;
    @SerializedName("ProductId")
    @Expose
    private Integer productId;

    public Integer getProductGroupId() {
        return productGroupId;
    }

    public void setProductGroupId(Integer productGroupId) {
        this.productGroupId = productGroupId;
    }

    public Integer getProductId() {
        return productId;
    }

    public void setProductId(Integer productId) {
        this.productId = productId;
    }
    String productname="";

    public String getProductname() {
        return productname;
    }

    public void setProductname(String productname) {
        this.productname = productname;
    }

    public String getMrp_product() {
        return mrp_product;
    }

    public void setMrp_product(String mrp_product) {
        this.mrp_product = mrp_product;
    }

    String mrp_product="";

    public String getEan_code() {
        return ean_code;
    }

    public void setEan_code(String ean_code) {
        this.ean_code = ean_code;
    }

    String ean_code="";

    public int getSelected_item_qty() {
        return selected_item_qty;
    }

    public void setSelected_item_qty(int selected_item_qty) {
        this.selected_item_qty = selected_item_qty;
    }

    int selected_item_qty=0;

    public String getSallable_stock_qty() {
        return sallable_stock_qty;
    }

    public void setSallable_stock_qty(String sallable_stock_qty) {
        this.sallable_stock_qty = sallable_stock_qty;
    }

    String sallable_stock_qty="0";
    String promotion_name="";
    String promotionId="0";
    String promotion_deducted_price="0";

    public String getPromotion_name() {
        return promotion_name;
    }

    public void setPromotion_name(String promotion_name) {
        this.promotion_name = promotion_name;
    }

    public String getPromotionId() {
        return promotionId;
    }

    public void setPromotionId(String promotionId) {
        this.promotionId = promotionId;
    }

    public String getPromotion_deducted_price() {
        return promotion_deducted_price;
    }

    public void setPromotion_deducted_price(String promotion_deducted_price) {
        this.promotion_deducted_price = promotion_deducted_price;
    }

    public String getPromotion_deducted_price_percentage() {
        return promotion_deducted_price_percentage;
    }

    public void setPromotion_deducted_price_percentage(String promotion_deducted_price_percentage) {
        this.promotion_deducted_price_percentage = promotion_deducted_price_percentage;
    }

    String promotion_deducted_price_percentage="0";

}
